// ESP32 I2C Scanner
// Based on code of Nick Gammon  http://www.gammon.com.au/forum/?id=10896

#include <Wire.h>

void setup()
{
  Serial.begin (115200);
  // Za I2C treba podesiti "Protocol type" u postavkama kamere na "I2C", ako je na "Auto detect" onda je nekad pronađe a nekad ne
  //Adresa kamere je 0x32 (i ne mijenja se) 
  Wire.begin (21, 22);   // sda(zelena)= IO_21 /scl(plava)= IO_22 
}

void Scanner ()
{
  Serial.println ();
  Serial.println ("I2C scanner. Scanning ...");
  byte count = 0;

  Wire.begin();
  for (byte i = 8; i < 120; i++)
  {
    Wire.beginTransmission (i);          // Begin I2C transmission Address (i)
    if (Wire.endTransmission () == 0)  // Receive 0 = success (ACK response) 
    {
      Serial.print ("Found address: ");
      Serial.print (i, DEC);
      Serial.print (" (0x");
      Serial.print (i, HEX);     // PCF8574 7 bit address
      Serial.println (")");
      count++;
    }
  }
  Serial.print ("Found ");      
  Serial.print (count, DEC);        // numbers of devices
  Serial.println (" device(s).");
}

void loop()
{
  Scanner ();
  delay (100);
}
